package be.iminds.ilabt.jfed.experimenter_gui.tabs;

import be.iminds.ilabt.jfed.experimenter_gui.ui.ribbon.RibbonTab;

import java.util.List;

/**
 * This interface exposes the RibbonTabs that are associated with the tab.
 * These tabs are shown when the tab is visible, and removed when the tab is hidden.
 * <p/>
 * User: twalcari
 * Date: 11/12/13
 * Time: 3:27 PM
 */
public interface RibbonEnabled {

    List<? extends RibbonTab> getRibbonTabs();

    RibbonTab getInitialTabToActivate();

}
